using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase;

/// <summary>
/// 知识状态
/// </summary>
public enum EKnowledgeStatus
{
	///// <summary>
	///// 全部
	///// </summary>
	//[Description("全部")]
	//All = -1,

	/// <summary>
	/// 待提交
	/// </summary>
	[Description("待提交")]
    Drafts = 0,

    /// <summary>
    /// 审批中
    /// </summary>
    [Description("审批中")]
    Auditing = 1,

    ///// <summary>
    ///// 失败
    ///// </summary>
    //[Description("失败")]
    //Failed = 2,

    /// <summary>
    /// 已上架
    /// </summary>
    [Description("已上架")]
    OnShelf = 3,

    /// <summary>
    /// 已下架
    /// </summary>
    [Description("已下架")]
    OffShelf = 4,

	/// <summary>
	/// 已驳回
    /// </summary>
	[Description("已驳回")]
    Revert = 5,

    /// <summary>
    /// 已过期
    /// </summary>
    [Description("已过期")]
    Overdue = 6,

    ///// <summary>
    ///// 下架审批中
    ///// </summary>
    //[Description("下架审批中")]
    //OffShelfAudit = 7,

    ///// <summary>
    ///// 草稿
    ///// </summary>
    //[Description("草稿")]
    //NewDrafts = 8,
}

/// <summary>
/// 知识列表查询状态（兼容以前实现方案提供给前端入参）
/// </summary>
public enum EKnowledgeStatusRequest
{
    /// <summary>
    /// 已上架
    /// </summary>
    [Description("已上架")]
    OnShelf = 3,

    /// <summary>
    /// 已下架
    /// </summary>
    [Description("已下架")]
    OffShelf = 4,

    /// <summary>
    /// 审批中
    /// </summary>
    [Description("审核中")]
    Auditing = 1,

    /// <summary>
    /// 待提交
    /// </summary>
    [Description("草稿")]
    Drafts = 8,

    /// <summary>
    /// 全部
    /// </summary>
    [Description("全部")]
    All = -1,
}

/// <summary>
/// 草稿状态查询（兼容以前实现方案提供给前端入参）
/// </summary>
public enum EKnowledgeDraftTypeRequest
{
    /* new KeyValuePair<int, string>(-1, "全部"),
       new KeyValuePair<int, string>(0, "待提交"),
       new KeyValuePair<int, string>(5, "审核不通过"),*/
    /// <summary>
    /// 全部
    /// </summary>
    [Description("全部")]
    All = -1,

    /// <summary>
    /// 待提交
    /// </summary>
    [Description("待提交")]
    UnApproval = 0,

    /// <summary>
    /// 审核不通过
    /// </summary>
    [Description("审核不通过")]
    Failed = 5
}